Bug 1260986 - dnf reposync lists repo as wrong argument
dnf reposync lists repo as wrong argument
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
: Reopened
: 1265025 1299261 1328050 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 07:08 EDT by Stefan Kirrmann
Modified: 2016-07-21 10:37 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-21 10:37:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Kirrmann 2015-09-08 07:08:37 EDT
Description of problem:

reposync help lists --repo as argument for the repository id, but this generates an error "Befehlszeilenfehler: argument --repofrompath: bad format: f22-updates"

If --repoid is used as argument the reposync works. So I guess it's an error in the reposync help output.


Version-Release number of selected component (if applicable):
dnf-plugins-core-0.1.10-1.fc22.noarch


How reproducible:


Steps to Reproduce:
1. dnf reposync -p fedora --repo /mnt/somewhere

Actual results:
error about bad format of argument


Expected results:
download of repo to /mnt/somewhere
Comment 1 Radek Holy 2015-09-08 09:41:34 EDT
This is a know issue, unfortunately. Actually, the cause is the introduction of the --repofrompath option and the problematic design of our argument parser. We are currently working on improving the argument parsing part.

FTR, the issue was first reported here: https://bugzilla.redhat.com/show_bug.cgi?id=1193851#c7 I don't know how to handle this situation. I mean whether to close this as a duplicate or track the issue here.
Comment 3 Radek Holy 2015-09-22 03:01:49 EDT
*** Bug 1265025 has been marked as a duplicate of this bug. ***
Comment 4 Vít Ondruch 2016-01-07 09:26:05 EST
Ping ... what is the --repoid status please?
Comment 5 Honza Silhan 2016-01-19 10:10:39 EST
yeah, we should finish it but there were issue with Python3.
Comment 6 Honza Silhan 2016-01-19 10:10:52 EST
*** Bug 1299261 has been marked as a duplicate of this bug. ***
Comment 7 Mike McCune 2016-03-28 18:49:28 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 8 Honza Silhan 2016-04-18 07:37:02 EDT
*** Bug 1328050 has been marked as a duplicate of this bug. ***
Comment 10 Fedora End Of Life 2016-07-19 13:49:15 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Vít Ondruch 2016-07-20 07:54:05 EDT
--repo parameter still does not work :/
Comment 12 Mike Goodwin 2016-07-20 09:25:06 EDT
It likely won't until DNF2 arrives - just anecdotally it seems like that's the direction the project went as I observed most bugs in Github had a similar reply from the authors. So I think they're not bothering to fix menial bugs like this in favor of the complete DNF2 rewrite. 

Granted, I agree with keeping actual bugs open, since it's still broken.
Comment 13 Igor Gnatenko 2016-07-21 10:37:02 EDT
Fixed as part of DNF 2.0 which will be available at some point soon.

Note You need to log in before you can comment on or make changes to this bug.